import pyalps
import matplotlib.pyplot as plt
import pyalps.plot
import sys


# Read output folder
# ------------------
if len(sys.argv) == 3 and sys.argv[1] == "-outfolder":
    outfolder = sys.argv[2]
else:
    outfolder = "./out/"
    
outfile    = "out"            # Name of the output files

Niter=2000

parms = []
for t in [1.0]:
    parms.append(
        {
          'LATTICE'                 : "chain lattice",
          'MODEL'                   : "boson Hubbard",
          'T'                       : 0.01,
          'L'                       : 120 ,
          't'                       : t ,
          'mu'                      : 0.3,
          'U'                       : 10.0 ,
          'Nmax'                    : 2 ,
          'THERMALIZATION'          : Niter/5,
          'SWEEPS'                  : Niter,
          'SKIP'                    : 50,
          'MEASURE[Stiffness]': 1,
          'MEASURE[Green Function]': 1
        }
    )


#write the input file and run the simulation
input_file = pyalps.writeInputFiles(outfolder + outfile,parms)
res = pyalps.runApplication('dwa',input_file,Tmin=5,writexml=True)
